Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 18:44

Hallo,

ich habe ein paar Probleme beim Update von 3.0.14 auf 3.1.6
Hab alles nach Anweisung ausgeführt. Wenn ich nun Punkt 4 nachvollziehen möchte
danach das Datenbank-Update ausführen: http://www.example.org/phpBB/install/da ... update.php
wird nachfolgende Fehlermeldung angezeigt:

Bitte um Hilfe bei der Enträtselung!

Also ich hatte es so: ..........forum/install/database_update.php eingegeben. War doch richtig, oder?


Warning: require(./../includes/startup.php): failed to open stream: No such file or directory in /var/www/webXXXX/html/forum/install/database_update.php on line 54

Warning: require(./../includes/startup.php): failed to open stream: No such file or directory in /var/www/webXXXX/html/forum/install/database_update.php on line 54

Fatal error: require(): Failed opening required './../includes/startup.php' (include_path='.:/opt/php/5.6.6/share/pear') in /var/www/webXXXX/html/forum/install/database_update.php on line 54


LG


Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 19:02

Ja habe ich, Lehrling.....

Lehrling
Supporter
Supporter
Beiträge: 2863
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Lehrling » 04.10.2015 19:09

schau mal nach, ob es im Ordner includes die Datei startup.php gibt.

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 19:15

Ja, gibt es

Lehrling
Supporter
Supporter
Beiträge: 2863
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Lehrling » 04.10.2015 19:20

nur zum besseren Verständnis: du hast alle Dateien bis auf die config.php und die Ordner files, images und store gelöscht, dann die Dateien des Komplettpakets Deutsch 3.1.6 hochgeladen und das Update gestartet. Es gibt jetzt in deinem Hauptverzeichnis einen Ordner includes, in dem die Datei startup.php liegt. Ist das so richtig?

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 19:30

Ja, so stimmt es.
Hm....bin jetzt aber leicht irritiert. Ich hab die Dateien: docs, install und vendor solo hochgeladen. Ohne diesen Hauptordner....
Herrje, ist das der Fehler?

Lehrling
Supporter
Supporter
Beiträge: 2863
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Lehrling » 04.10.2015 19:39

Für das Update musst du den Ordner phpBB Deutsch 3.1.6 von hier https://www.phpbb.de/downloads/pakete.php herunterladen und genau nach folgender Konvertierungsanleitung vorgehen: https://www.phpbb.de/kb/convert30_to_31

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 19:40

Sorry, ich glaube, dass ich mich vertan habe. Ich muss noch einmal schauen. Includes habe ich gefunden, die Datei startup.php noch nicht

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 19:50

Angela333 hat geschrieben:Sorry, ich glaube, dass ich mich vertan habe. Ich muss noch einmal schauen. Includes habe ich gefunden, die Datei startup.php noch nicht


Doch die ist da!

Lehrling hat geschrieben:Für das Update musst du den Ordner phpBB Deutsch 3.1.6 von hier https://www.phpbb.de/downloads/pakete.php herunterladen und genau nach folgender Konvertierungsanleitung vorgehen: https://www.phpbb.de/kb/convert30_to_31


Oh, dann ist es das Komplettpaket: phpBB Deutsch 3.1.6 [zip] ? Ich hatte so ein Paket: phpBB-3.0.14-deutsch_to_3.1.6-deutsch.zip


Zurück zu „Support-Forum“